Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Why can't I install "Cooliris"

  • 3 replies
  • 2 have this problem
  • 320 views
  • Last reply by AliceWyman

more options

I would like to install Cooliris (formerly PicLens) the website says it is suitable for FireFox but when I tried to download and install it I got told the my version of FireFox was not compatible.

All Replies (3)

more options

Website link?

more options

I tried several sources eg C-Net, and Cool Iris www.cooliris.com or https://addons.mozilla.org/en-us/firefox/user/the-cooliris-team/

more options

I don't see any information related to Cooliris and Firefox compatibility at www.cooliris.com and the second link, https://addons.mozilla.org/en-us/firefox/user/the-cooliris-team/ is a user page for the add-on developer(The Cooliris Team) and only mentions one add-on, CoolPreviews.

If you are downloading Cooliris from another site and it gives you an error that your Firefox version is not compatible, it's likely that you have downloaded an outdated add-on that was made for an older Firefox version.

In any case, your best bet would be to contact the add-on developer.